BrandKwikID Documentation
API SuitePassport

Verify Passport

Verify passport details using passport number, file number, applicant DOB, passport date of issue, and consent flag

Try itLoading playground…
Loading…
AuthorizationBearer <token>

JWT Bearer token authentication. Obtain a token from the KwikID dashboard.

In: header

doistring

Passport date of issue in YYYY-MM-DD format

file_nostring

Passport file number assigned by the issuing authority

dobstring

Applicant's date of birth in YYYY-MM-DD format

passport_nostring

Passport number printed on the document

consentstring

Applicant consent flag; use Y to indicate explicit consent

Response Body

curl -X POST "https://__mock__/verification/v2/passport/verify" \  -H "Content-Type: application/json" \  -d '{    "doi": "2020-01-15",    "file_no": "XX0000000000000",    "dob": "1990-06-01",    "passport_no": "XX1234567",    "consent": "Y"  }'

{
  "application_date": "15/01/2020",
  "date_of_birth": {
    "date_of_birth_from_source": "01/06/1990",
    "date_of_birth_match": true
  },
  "name": "JANE DOE",
  "passport_number": {
    "passport_number_from_source": "XX1234567",
    "passport_number_match": true
  },
  "type_of_application": "Normal",
  "credits_consumed": 1
}

{
  "detail": {},
  "message": "Passport verification failed - Action Errors: ['The status of the entered File Number is not available in the system.']"
}
{
  "detail": {},
  "message": "string"
}
{
  "error": "string"
}